<template>
  <div ref="box" class="box" :class="{'nocopy': $route.meta.nocopy}">
    <CaseQualityBox v-if="data.data" :data="data" :width="400" />
  </div>
</template>

<script>
import CaseQualityBox from './components/CaseQualityBox2.vue';
  export default {
    components: {
      CaseQualityBox
    },
    data() {
      return {
        data: {}
      }
    },
    created() {
      if(this.$route.query.id) {
        this.getCaseQualityResults()
      }
    },
    methods: {
      // 获取新病案指控结果
      getCaseQualityResults() {
        const params = {
          id: Number(this.$route.query.id),
        };
        this.$axios2.post('/get_case_quality_v2', params).then(res => {
          this.data = res.data;
        });
      }
    }
  }
</script>

<style lang="scss" scoped>
</style>